### Function

# Fwupd JsonNode kind_to_string

since: 2.1.1

#### Declaration [src]

    const gchar*
    fwupd_json_node_kind_to_string (
      FwupdJsonNodeKind val
    )

#### Description [src]

Converts an enumerated value to a string.

Available since: 2.1.1

#### Parameters

`val`

  Type: `FwupdJsonNodeKind`

  Value, e.g. `FWUPD_JSON_NODE_KIND_RAW`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.